Back to Marimo

API Reference

docs/api/index.md

0.23.52.1 KB
Original Source

API Reference

Use the marimo library in marimo notebooks (import marimo as mo) to

  • connect interactive inputs like sliders, dropdowns, and tables to Python,
  • express yourself with dynamically created markdown,
  • layout information with tabs or grids,
  • output media like images and audio,
  • and more!
markdownWrite markdown with mo.md
inputsConnect sliders, dropdowns, tables, and more to Python
layoutsCustomize outputs with accordions, tabs, stacks, and more
plottingOutput interactive plots
mediaOutput media like images, audio, PDFs, and plain text
diagramsFlow charts, graphs, statistic cards, and more
statusDisplay progress indicators
outputsModify cell outputs, redirect console output
control_flowControl how cells execute
htmlManipulate HTML objects
query_paramsAccess and set query parameters with mo.query_params
cli_argsAccess command-line arguments with mo.cli_args
cachingCache expensive computations in memory or on disk
stateSynchronize multiple UI elements with mo.state
appEmbed notebooks in other notebooks
cellRun cells defined in another notebook
watchReactively respond to file changes on disk
miscellaneousMiscellaneous utilities